import { getUserList, sendMail } from '../../api/userManagement'

export default {
    data(){
        return {
            userList:[],
            userListLoading:false,
            userListParams:{
                coin:"nexa",
                minerUser:"",
                user:"",
                pageNum:1,
                pageSize:50
            },
            tableData:[],
            userManagementLoading:false,
        }
    },
    mounted(){
        this.fetchUserList(this.userListParams);
    },
    methods:{
        async fetchUserList(params){
            this.userManagementLoading = true;
            const data = await getUserList(params);
            console.log(data,'data');
            
            if(data && data.code == 200){
                this.tableData = data.rows;
            }
            this.userManagementLoading = false;
        }
    }
}